name: normalize markdown

on:
  push:
    paths:
      - '*.md'

jobs:
  normalize:
    timeout-minutes: 1
    runs-on: ubuntu-latest
    steps:
      - name: Git checkout
        uses: actions/checkout@v3

      - name: Prettify markdown
        uses: creyD/prettier_action@v4.2
        with:
          prettier_options: --write **/*.md
